Debian Bug report logs - #384340
apache: postrm fails when ucf isn't installed

version graph

Package: apache; Maintainer for apache is (unknown);

Reported by: Gerfried Fuchs <alfie@minos.sil.at>

Date: Wed, 23 Aug 2006 16:33:02 UTC

Owned by: alfie@debian.org

Severity: serious

Merged with 342785

Found in versions 1.3.33-6sarge2, apache/1.3.34-1

Fixed in version 1.3.34-4

Done: martin f krafft <madduck@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#384340; Package apache. Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <alfie@minos.sil.at>:
New Bug report received and forwarded. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <alfie@minos.sil.at>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: apache: postinst fails when ucf isn't installed
Date: Wed, 23 Aug 2006 18:15:55 +0200
Package: apache
Version: 1.3.33-6sarge2
Severity: serious
Justification: Policy 7.2.

        Hi!

 Citing from the policy:

,----------------------> policy section 7.2. <----------------------
| Note, however, that the `postrm' cannot rely on any non-essential
| packages to be present during the `purge' phase.
`----------------------> policy section 7.2. <----------------------

 The postrm fails when ucf isn't present. This might e.g. happen (like
it did for me) when the package is removed, and purged on later time
after being sure the old config from apache isn't needed anymore for
transition to apache2.

 Pretty please fix that for the next point release.  I looked at least in
apache2 in etch and it doesn't seem to use ucf anymore, though it would
fail if update-rc.d isn't present, and that is in a non-essential
package, too (though pulled in through pre-depends from sysvinit, so can
be waved, IMHO).

 So long,
Alfie
-- 
SILVER SERVER \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\ \\\\\\ \\ \
sysadmin@sil.at                                             www.sil.at
+43(1)4933256-210 -- t_sysadmin
                                               keep your backbone tidy



Changed Bug title. Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as alfie@debian.org. Request was from Gerfried Fuchs <alfie@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Forcibly Merged 342785 384340. Request was from martin f.krafft <madduck@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to martin f krafft <madduck@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Gerfried Fuchs <alfie@minos.sil.at>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #16 received at 384340-done@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: 384340-done@bugs.debian.org
Subject: Re: apache: postinst fails when ucf isn't installed
Date: Sat, 9 Sep 2006 11:42:16 +0200
[Message part 1 (text/plain, inline)]
Version: 1.3.34-4

The version in sid only calls ucf if the binary can be found
(determined with `which`). I think this bug is thus closed.

-- 
 .''`.     martin f. krafft <madduck@debian.org>
: :'  :    proud Debian developer, author, administrator, and user
`. `'`     http://people.debian.org/~madduck http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[signature.asc (application/pgp-signature, inline)]

Reply sent to martin f krafft <madduck@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>, alfie@debian.org:
Bug#384340; Package apache. Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <alfie@ist.org>:
Extra info received and forwarded to list. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>, alfie@debian.org. Full text and rfc822 format available.

Message #26 received at 384340@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <alfie@ist.org>
To: 384340@bugs.debian.org
Cc: control@debian.org
Subject: Re: apache: postinst fails when ucf isn't installed
Date: Sat, 9 Sep 2006 06:32:03 -0500
[Message part 1 (text/plain, inline)]
reopen 384340
thanks

* martin f krafft <madduck@debian.org> [2006-09-09 11:42]:
> Version: 1.3.34-4
> 
> The version in sid only calls ucf if the binary can be found
> (determined with `which`). I think this bug is thus closed.

 That the version in sid is fixed is nice and useful information, but
that doesn't solve the problem in stable. As you are propably aware
bugfixes from unstable (and testing) don't flow automatically into
stable, so I really would like to see this fixed in a stable update.

 Thank in advance,
Alfie
-- 
Dessen NOC erklaerte uns aber, dass das Mailproblem nicht an ihnen liegen
koennte der ihr Router habe gar keinen Port 25. Der habe nur 16 Ports.
Also kann Mails nichts mit Port 25 zu tun haben.
             -- Ulli Horlacher in <a3789e$6i2$1@moep.bb.bawue.de>
[signature.asc (application/pgp-signature, inline)]

Bug reopened, originator not changed. Request was from Gerfried Fuchs <alfie@ist.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to martin f krafft <madduck@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Gerfried Fuchs <alfie@minos.sil.at>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #33 received at 384340-done@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: 384340-done@bugs.debian.org
Cc: control@debian.org
Subject: Re: Bug#384340: apache: postinst fails when ucf isn't installed
Date: Sat, 9 Sep 2006 14:15:41 +0200
[Message part 1 (text/plain, inline)]
Version: 1.3.34-4

also sprach Gerfried Fuchs <alfie@ist.org> [2006.09.09.1332 +0200]:
> reopen 384340

yeah, uh, please read up on version tracking. The bug will be marked
as closed with version 1.3.34-4 and thus will appear open wrt sarge.

-- 
 .''`.     martin f. krafft <madduck@debian.org>
: :'  :    proud Debian developer, author, administrator, and user
`. `'`     http://people.debian.org/~madduck http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[signature.asc (application/pgp-signature, inline)]

Reply sent to martin f krafft <madduck@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 08:12:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:26:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.